import { ComponentFixture, TestBed } from '@angular/core/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';
import { ClientTaskLogsComponent } from './client-task-logs.component';
import { JoyrideService } from 'ngx-joyride';
import { ToastrModule } from 'ngx-toastr';
import { ConfigService } from '@services/config.service';
import { MatIconModule } from '@angular/material/icon';
import { TranslateModule } from '@ngx-translate/core';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatSelectModule } from '@angular/material/select';
import { LoadingComponent } from 'src/app/shared/loading/loading.component';
import { MatPaginatorModule } from '@angular/material/paginator';
import { NO_ERRORS_SCHEMA } from '@angular/core';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

describe('ClientTaskLogsComponent', () => {
  let component: ClientTaskLogsComponent;
  let fixture: ComponentFixture<ClientTaskLogsComponent>;

  beforeEach(async () => {
    const mockJoyrideService = jasmine.createSpyObj('JoyrideService', ['startTour']);
    const mockConfigService = {
      apiUrl: 'http://mock-api-url'
    };

    await TestBed.configureTestingModule({
      declarations: [ClientTaskLogsComponent, LoadingComponent],
      imports: [HttpClientTestingModule,
        ToastrModule.forRoot(),
        MatIconModule,
        TranslateModule.forRoot(),
        MatFormFieldModule,
        MatPaginatorModule,
        MatSelectModule,
        BrowserAnimationsModule
      ],
      providers: [
        { provide: MatDialogRef, useValue: { close: jasmine.createSpy('close') } },
        { provide: MAT_DIALOG_DATA, useValue: {} },
        { provide: JoyrideService, useValue: mockJoyrideService },
        { provide: ConfigService, useValue: mockConfigService }
      ],
      schemas: [NO_ERRORS_SCHEMA]
    }).compileComponents();

    fixture = TestBed.createComponent(ClientTaskLogsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});